Package net.sourceforge.jiu.ops

# Interface ProgressListener

All Known Implementing Classes:
  `JiuAwtFrame`

public interface ProgressListener
This interface must be implemented by classes that want to be notified about progress of an image operation.

Author:
  Marco Schmidt

## Method Summary

Modifier and Type
Method
Description
`void`
`setProgress(float progress)`
Set the progress level to a new value, which must be between 0.0f and 1.0f (including both of these values).
`void`
`setProgress(int zeroBasedIndex, int totalItems)`
Sets a new progress level.

## Method Details

### setProgress

void setProgress(float progress)
Set the progress level to a new value, which must be between 0.0f and 1.0f (including both of these values). You should not call this method with a value lower than any value you've set before. However, this is not checked.

Parameters:
  `progress` - the degree of progress as a value between 0.0f and 1.0f
Throws:
  `IllegalArgumentException` - if the float argument is not in the mentioned interval

### setProgress

void setProgress(int zeroBasedIndex, int totalItems)
Sets a new progress level. If an operation consists of totalItems steps, which are numbered from 0 to totalItems - 1, this method can be called after the completion of each step.

Example: if there are three steps and the first one is done, the parameters must be 0 and 3, which will indicated 33% completion. Parameters 1 and 3 mean 66%, 2 and 3 100%. If you use 3 and 3, an IllegalArgumentException will be thrown.

Computes `(float)(zeroBasedIndex + 1) / (float)totalItems` and calls `setProgress(float)` with that value.

Parameters:
  `zeroBasedIndex` - the index of the step that was just completed
  `totalItems` - the number of steps in this operation
Throws:
  `IllegalArgumentException` - if the parameters don't match the above criteria